#if !defined(AFX_CONVEDIT_H__8222A5D1_443B_40F4_B959_4A52D5D63143__INCLUDED_)
#define AFX_CONVEDIT_H__8222A5D1_443B_40F4_B959_4A52D5D63143__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
// ConvEdit.h : header file
//

#include "Contact.h"

/////////////////////////////////////////////////////////////////////////////
// CConvEdit window

class CConversation;

class _AFX_RICHEDITEX_STATE
{
public:
    _AFX_RICHEDITEX_STATE();
    virtual ~_AFX_RICHEDITEX_STATE();

    HINSTANCE m_hInstRichEdit20 ;
};

BOOL PASCAL AfxInitRichEditEx();

class CConvEdit : public CRichEditCtrl
{
// Construction
public:
	CConvEdit();

// Attributes
public:

// Operations
public:

	inline BOOL AutoURLDetect( BOOL in_fEnable )
	{
		ASSERT(::IsWindow( m_hWnd ) );
		return (BOOL)::SendMessage( m_hWnd, EM_AUTOURLDETECT, in_fEnable, 0 );
	}

	void Enable(bool);
	void AppendBitmap(HBITMAP);
	void AppendText(CHARFORMAT *, const char *);
	void AppendWindowTextF(USERFONT *, int, const char *, ...);
	void UpdateScrollInfo();
	bool m_bHasScrollBar;
// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CConvEdit)
	public:
	virtual BOOL Create(LPCTSTR lpszClassName, LPCTSTR lpszWindowName, DWORD dwStyle, const RECT& rect, CWnd* pParentWnd, UINT nID, CCreateContext* pContext = NULL, CConversation *lpConv = NULL);
	virtual BOOL CreateEx(DWORD dwExStyle, LPCTSTR lpszClassName, LPCTSTR lpszWindowName, DWORD dwStyle, const RECT& rect, CWnd* pParentWnd, UINT nID, void *lpExtra, CConversation *lpConv = NULL);

	protected:
	virtual BOOL PreCreateWindow(CREATESTRUCT& cs);
	//}}AFX_VIRTUAL
private:
	CConversation *m_lpConv;

// Implementation
public:
	virtual ~CConvEdit();

	// Generated message map functions
protected:
	//{{AFX_MSG(CConvEdit)
	afx_msg void OnDropFiles(HDROP hDropInfo);
	afx_msg int OnCreate(LPCREATESTRUCT lpCreateStruct);
	afx_msg void OnChar(UINT nChar, UINT nRepCnt, UINT nFlags);
	afx_msg void OnSysChar(UINT nChar, UINT nRepCnt, UINT nFlags);
	afx_msg void OnRButtonDown(UINT nFlags, CPoint point);
	afx_msg void OnMenuCopy();
	afx_msg void OnMenuCut();
	afx_msg void OnMenuUndo();
	afx_msg void OnMenuPaste();
	afx_msg void OnDestroy();
	afx_msg BOOL OnEraseBkgnd(CDC* pDC);
	afx_msg void OnSize(UINT nType, int cx, int cy);
	afx_msg void OnVScroll(UINT nSBCode, UINT nPos, CScrollBar* pScrollBar);
	//}}AFX_MSG

	DECLARE_MESSAGE_MAP()
};

/////////////////////////////////////////////////////////////////////////////

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_CONVEDIT_H__8222A5D1_443B_40F4_B959_4A52D5D63143__INCLUDED_)
