#if !defined(AFX_NETSOCKET_H__09ED99DB_C8BC_40B0_AF49_8F8D03BDB364__INCLUDED_)
#define AFX_NETSOCKET_H__09ED99DB_C8BC_40B0_AF49_8F8D03BDB364__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
// NetSocket.h : header file
//

#include "Contact.h"

/////////////////////////////////////////////////////////////////////////////
// CNetSocket command target



class CNetSocket : public CSocket
{
// Attributes
public:
	CContact *Contact;

// Operations
public:
	CNetSocket();
	CNetSocket(CContact *contact);

	virtual ~CNetSocket();
	bool Open();
	void SendString(char *, ...);
	void SendStringV(char *fmt, va_list args);
	void Init();
// Overrides
public:

	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CNetSocket)
	public:
	virtual void OnClose(int nErrorCode);
	virtual void OnReceive(int nErrorCode);
	//}}AFX_VIRTUAL

	// Generated message map functions
	//{{AFX_MSG(CNetSocket)
		// NOTE - the ClassWizard will add and remove member functions here.
	//}}AFX_MSG

// Implementation
protected:
	void Process(CString);
	CSocketFile *m_pFile;
	CArchive *m_pArchiveIn;
	CArchive *m_pArchiveOut;

};

/////////////////////////////////////////////////////////////////////////////

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_NETSOCKET_H__09ED99DB_C8BC_40B0_AF49_8F8D03BDB364__INCLUDED_)
